package eve.ui;
import eve.fx.Rect;
import eve.fx.gui.NativeInputParameters;
//##################################################################
public class TextInputParameters extends NativeInputParameters{
//##################################################################
//===================================================================
public TextInputParameters(Control forWho, boolean matchOnScreen)
//===================================================================
{
	control = forWho;
	setInitialText(forWho.getText());
	prompt = forWho.prompt;
	if (prompt == null) prompt = "Please enter:";
	if (matchOnScreen) controlRect = Gui.getRectInWindow(forWho,null,true);
	controlFont = forWho.getFont();
}
public void repaint(Control parent,final Rect area)
{
	if (parent == null) repaint(area);
	else new WindowThreadTask(){
		protected void doRun(){
			repaint(area);
		}
	}.run(parent,true);
}
//##################################################################
}
//##################################################################

