package eve.ui.data;
import java.util.Vector;

import eve.ui.CellPanel;
import eve.ui.Gui;
import eve.util.TextDecoder;
import eve.util.TextEncoder;

//##################################################################
public class ListObject extends LiveObject{
//##################################################################

public Vector objects = new Vector();

public String _fields = "objects";

//-------------------------------------------------------------------
protected TextEncoder encode(TextEncoder te)
//-------------------------------------------------------------------
{
	encodeFields(_fields,te,"ListObject");
	return super.encode(te);
}
//-------------------------------------------------------------------
protected TextDecoder decode(TextDecoder te)
//-------------------------------------------------------------------
{
	decodeFields(_fields,te,"ListObject");
	return super.decode(te);
}
//===================================================================
public String objectName = "Object";
public String title = "Object List";
public LiveData model = new LiveObject();
public int listEditorButtons = Gui.screenIs(Gui.DESKTOP_SCREEN) ? 0xff : 0;
//===================================================================
//===================================================================
public LiveData getNewDataObject() {return (LiveData)model.getNew();}
//===================================================================

//===================================================================
public ListEditor getListEditor(int forWhich)
//===================================================================
{
	ListEditor le = new ListEditor(getNewDataObject(),true,0xff);//,forWhich,-1,forWhich,true,listEditorButtons);
	le.itemName = objectName;
	le.title = title;
	return le;
}

//===================================================================
public void addToPanel(CellPanel cp,Editor f,int which)
//===================================================================
{
	cp.addLast(f.addField(getListEditor(which),"objects"));
	f.title = title;
}
//##################################################################
}
//##################################################################

