package eve.ui.table;

import eve.ui.Control;
import eve.ui.event.ControlEvent;

//##################################################################
public class TableEvent extends ControlEvent{
//##################################################################
public static final int SELECTION_CHANGED = 50000;
public static final int CELL_CLICKED = 50001;
public static final int CELL_DOUBLE_CLICKED = 50002;
public static final int FLAG_SELECTED_BY_ARROWKEY = 1;
//==================================================================
public TableEvent(int type,Control target)
//==================================================================
{
	super(type,target);
}
/**
* For CELL_CLICKED, the row which was clicked.
**/
public int row;
/**
* For CELL_CLICKED, the cell which was clicked.
**/
public int col;
/**
* For CELL_CLICKED, the data associated with the cell that was clicked.
**/
public Object cellData;
//##################################################################
}
//##################################################################

