/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package romas;

/**
 *
 * @author armando
 */
import java.util.jar.*;
import java.util.*;
import java.io.*;

public class PackageUtils
{

    private static boolean debug = false;

    public static List getClasseNamesInPackage(String jarName, String packageName) throws Exception
    {
        ArrayList classes = new ArrayList ();

        packageName = packageName.replaceAll("\\." , "/");
        if (debug) System.out.println("Jar " + jarName + " looking for " + packageName);
        try
        {
            JarInputStream jarFile = new JarInputStream(new FileInputStream (jarName));
            JarEntry jarEntry;

            while(true)
            {
                jarEntry=jarFile.getNextJarEntry ();
                if(jarEntry == null)
                {
                    break;
                }
                if((jarEntry.getName ().startsWith (packageName)) && (jarEntry.getName ().endsWith (".class")) )
                {
                    String classFullName = jarEntry.getName().replaceAll("/", "\\.");
                    if (debug) System.out.println("Found " + classFullName);
                    
                    try
                    {
                        classFullName = classFullName.substring(0, jarEntry.getName().length() - 6);
                        if (debug) System.out.println("Found ! :" + classFullName);
                    }
                    catch(Exception ex)
                    {
                        if (debug) System.out.println(ex.getMessage());
                    }

                    classes.add (classFullName);
                    if (debug) System.out.println("Added ! :" + classFullName);
                }
            }
        }
        catch( Exception e)
        {
            if (debug) System.out.println(e.getMessage());
            throw e;
        }
        return classes;
    }
}