/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package romas.com.data;

/**
 *
 * @author armando
 */


public class Structures {



    // livello / priorit dei servizi
    public static class SERVICE_TYPE
    {
        public static final int BASIC_SERVICE = 1;
        public static final int PRIMARY_SERVICE = 2;
        public static final int SECONDARY_SERVICE = Thread.NORM_PRIORITY;
        public static final int ADDITIONAL_SERVICE = (Thread.NORM_PRIORITY + 1);
    }


    // priorit delle azioni
    public static class ACTION_PRIORITY
    {
        public static final int LOW_PRIORITY_ACTION = 0;
        public static final int MEDIUM_PRIORITY_ACTION = 1;
        public static final int HIGH_PRIORITY_ACTION = 2;
    }


    /**
     * Stati delle azioni CREATED, INITIATED, RUNNING, STOPPED, FINISHED, DELETING
     */
    public static class ACTION_STATE
    {
        public static final int CREATED_ACTION_STATE = 0;   //0
        public static final int INITIATED_ACTION_STATE = 1;
        public static final int RUNNING_ACTION_STATE = 2;
        public static final int STOPPED_ACTION_STATE = 3;
        public static final int FINISHED_ACTION_STATE = 4;
        public static final int DELETING_ACTION_STATE = 5;
    }


    /**
     *Tipo dell'azione
     */
    public static class ACTION_TYPE{
        public static final int ORDINARY_ACTION_TYPE = 0;
        public static final int ALTERNATIVE_ACTION_TYPE = 1;
        public static final int OPPOSITE_ACTION_TYPE = 2;
    }


}
