/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package romas.com.data.hmm;

/**
 *
 * @author apaliani
 */
public class DemoHMM_2 {

    public static void main(String args[]){

        int nDimensions = 3;
        int nSeq = 3;
        int lenghtSeq = 1;
        int nState = 3;
        
        try{
            HMM hmmTraining = null;

            java.io.File file = new java.io.File("hmmTraining.txt");
            if(!file.exists()){
                String fileTraining = "trainingTEST.txt";

                /*
                 * Creazione di un template da training
                 *
                 * @param numDimentions
                 * @param lenghtSequence
                 * @param numSequences
                 */
                HMMTraining.creteNew(fileTraining, nDimensions, lenghtSeq, nSeq);

                HMMTraining.addSequence(fileTraining, "10 10 0");
                HMMTraining.addSequence(fileTraining, "10 10 0");
                HMMTraining.addSequence(fileTraining, "9 9 0");
                /*
                HMMTraining.addSequence("9 9 0");
                HMMTraining.addSequence("9.5 9.5 0");
                HMMTraining.addSequence("9 10 0 ");
                HMMTraining.addSequence("9 9 0");
                HMMTraining.addSequence("9.5 9.5 0");
                HMMTraining.addSequence("9.5 11 1");
                HMMTraining.addSequence("9 9 0.");
                HMMTraining.addSequence("9 9.5 0");
                HMMTraining.addSequence("8.5 9 0");
                */

                //creazione di un HMM dal file di Training
                hmmTraining = HMM.kmeansLearner(fileTraining, nState, 100);

                hmmTraining.write("hmmTraining.txt");
            }
            else{
                hmmTraining = HMM.load("hmmTraining.txt");
            }
            
            // sequenza di riconoscimento
            double[][] seq = new double[nSeq][nDimensions];
            seq[0][0] = 10;  seq[0][1] = 10;  seq[0][2] = 0;

            //int[] o;
            double[][] alpha;
            double prob = 0.0;

            prob = 0;
            /*
           * @param sequence		the observation sequence (actual values)
           * @param D				the number of dimensions of sequence
           * @param T				the length of sequence           
             */
            alpha = hmmTraining.forwardProc(hmmTraining.convert(seq, nDimensions, nSeq));
            for(int i=0; i < alpha.length; i++)
                prob += alpha[i][0];

            System.out.println("The probability is " + (100*prob) + "%");

            // campionamento di una sequenza di valori
            //HMMTraining.creteNew(fileTraining_1, 1, 3, 10);
            //HMMTraining.addSequence("8 9 1");
            //HMM hmmTraining_1 = HMM.kmeansLearner(fileTraining_1, 3, 10);
            //hmmTraining_1.write("hmmTraining_1.txt");

            //double distance = hmmTraining_1.hmmDistance(hmmTraining);
            //System.out.println("Distance is : " + String.valueOf(distance));

        }catch(Exception ex){
            System.err.println(ex.getMessage());
        }
    }
}
