/*
 * ACTIONS.java
 *
 * Created on 25 febbraio 2009, 11.31
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package romas.com.data.tables;

import eve.database.*;
import eve.database.implement.*; 
import eve.io.DataProcessor;
import eve.math.BigDecimal;
import eve.math.Decimal;
import eve.sys.DayOfYear;
import eve.sys.Time;
import eve.sys.TimeOfDay;
import eve.sys.Wrapper;
import eve.ui.advanced.database.*;
import eve.util.ByteArray;
import eve.util.CharArray;
import eve.util.SubString;
import java.io.IOException;
import java.util.Vector;

import romas.com.data.TableManager;
import romas.com.data.Structures.*;

/**
 *
 * @author APaliani
 */
public class ACTIONS  extends TABLE{
    
    public String FULLNAME_ACTION = ""; // ID UNIVOCO NELLO SCOPE
    public String SCOPE_ACTION = "";
    public String NAME_ACTION = "";
    public String COMMAND_ACTION = "";
    public String INSTRUCTION_ACTION = "";    
    public int TYPE_ACTION = ACTION_TYPE.ORDINARY_ACTION_TYPE; // 0 = ORDINARY, 1 = ALTERNATIVE, 2 = OPPOSITE
    public int PRIORITY_ACTION = 0; // 0,1,2 
    public String FULLNAME_RELATIVE_TYPE_ACTION = ""; // indica l'azione relativa se diversa da ORDINARY
    public int ITERATION_ACTION = 1; // numero di esecuzioni
    public Vector PARAMS_ACTION = new Vector();

    
    // This next field is not treated as a data field
    // because it starts with a '_' character.
    // LOAD_DEFAULT
    public String _sorts = "By FullName$x|FULLNAME_ACTION,PRIORITY_ACTION|By RelativeFullName$x|FULLNAME_RELATIVE_TYPE_ACTION,PRIORITY_ACTION|By Name$x|NAME_ACTION,PRIORITY_ACTION|By Scope$x|SCOPE_ACTION|By Type$x|TYPE_ACTION,PRIORITY_ACTION";
    
    
    public ACTIONS(){}    
    
    
    public ACTIONS(int type)
    {
        TYPE_ACTION = type;
    }
   
}
