/*
 * ACTIONS_PROCESS.java
 *
 * Created on 25 febbraio 2009, 11.25
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 *
 *Questa tabella deve contenere tutte le informazioni dell'azione in esecuzione
 */

package romas.com.data.tables;

import java.util.Vector;

import romas.com.data.Structures.*;


/**
 *
 * @author APaliani
 */
public class ACTIONS_PROCESS_HISTORY  extends TABLE{
    
    /**
     * Creates a new instance of ACTIONS_PROCESS
     */
    
    //SCOPE
    public int PRIORITY_SCOPE_ACTIONS_PROCESS = 0; // priorit dello scope ereditato dall'azione	    
    public String SCOPE_ACTIONS_PROCESS = ""; // scope ereditato dall'azione
    
    //ACTION
    public String FULLNAME_ACTION_ACTIONS_PROCESS = ""; // identificativo dell'azione della ACTION_TABLE    
    public String NAME_ACTION_ACTIONS_PROCESS = ""; // Azione in esecuzione    
    public String COMMAND_ACTIONS_PROCESS = ""; // COMANDO richiesto    
    public Vector PARAMS_ACTIONS_PROCESS = new Vector(); // parametri assegnati all'azione
    public int PRIORITY_ACTIONS_PROCESS	= 0; // priorit assegnata    

    //PROCESS
    public long ID_PROCESS_ACTIONS_PROCESS = 0; // identificativo del thread che esegue l'azione
    public int TYPE_ACTIONS_PROCESS = ACTION_TYPE.ORDINARY_ACTION_TYPE; // tipo di azione dalla ACTION_TYPE_TABLE	
    public long ID_OWNER_ACTION_PROCESS = 0; // identificativo del thread che lanciato l'azione       
    public int STATE_ACTION_PROCESS = ACTION_STATE.CREATED_ACTION_STATE; // stato dell'azione
    public String RELATIVE_FULLNAME_ACTION_PROCESS = ""; // NOME DELL'AZIONE RELATIVA SE TYPE DIVERSO DA ORDINARY 
    public String DATE_STRING_ACTION_PROCESS = ""; // data nel formato yyyymmddHHMMSSss (data di inserimento nella ACTION_PROCESS_TABLE)
    public int NUMBER_ITERATION_ACTION_PROCESS = 0; // numero di esecuzioni da effettuare
    
    //
    // This next field is not treated as a data field
    // because it starts with a '_' character.
    //
    public String _sorts = "By Priority$x|PRIORITY_SCOPE_ACTIONS_PROCESS,PRIORITY_ACTIONS_PROCESS|" + 
                           "By Scope$x|SCOPE_ACTIONS_PROCESS|" + 
                           "By Owner$x|ID_OWNER_ACTION_PROCESS|" + 
                           "By Proccess$x|ID_PROCESS_ACTIONS_PROCESS|" + 
                           "By DateString$x|DATE_STRING_ACTION_PROCESS|" +
                           "By FullNameAction$x|FULLNAME_ACTION_ACTIONS_PROCESS|" +
                           "By State_Priority$x|STATE_ACTION_PROCESS,PRIORITY_SCOPE_ACTIONS_PROCESS,PRIORITY_ACTIONS_PROCESS" ;
    
    
    public ACTIONS_PROCESS_HISTORY(){}
    
    
    public ACTIONS_PROCESS_HISTORY(
                                        int PRIORITY_SCOPE_ACTIONS_PROCESS,
                                        String SCOPE_ACTIONS_PROCESS,
                                        String FULLNAME_ACTION_ACTIONS_PROCESS,
                                        String NAME_ACTION_ACTIONS_PROCESS,
                                        String COMMAND_ACTIONS_PROCESS,
                                        Vector PARAMS_ACTIONS_PROCESS,
                                        int PRIORITY_ACTIONS_PROCESS,
                                        long ID_PROCESS_ACTIONS_PROCESS,
                                        int TYPE_ACTIONS_PROCESS,
                                        long ID_OWNER_ACTION_PROCESS,
                                        int STATE_ACTION_PROCESS,
                                        String RELATIVE_FULLNAME_ACTION_PROCESS,
                                        String DATE_STRING_ACTION_PROCESS,
                                        int NUMBER_ITERATION_ACTION_PROCESS
                            )
    {
        this.PRIORITY_SCOPE_ACTIONS_PROCESS = PRIORITY_SCOPE_ACTIONS_PROCESS;
        this.SCOPE_ACTIONS_PROCESS = SCOPE_ACTIONS_PROCESS;
        this.FULLNAME_ACTION_ACTIONS_PROCESS = FULLNAME_ACTION_ACTIONS_PROCESS;
        this.NAME_ACTION_ACTIONS_PROCESS = NAME_ACTION_ACTIONS_PROCESS;
        this.COMMAND_ACTIONS_PROCESS = COMMAND_ACTIONS_PROCESS;
        this.PARAMS_ACTIONS_PROCESS = PARAMS_ACTIONS_PROCESS;
        this.PRIORITY_ACTIONS_PROCESS = PRIORITY_ACTIONS_PROCESS;
        this.ID_PROCESS_ACTIONS_PROCESS = ID_PROCESS_ACTIONS_PROCESS;
        this.TYPE_ACTIONS_PROCESS = TYPE_ACTIONS_PROCESS;
        this.ID_OWNER_ACTION_PROCESS = ID_OWNER_ACTION_PROCESS;
        this.STATE_ACTION_PROCESS = STATE_ACTION_PROCESS;
        this.RELATIVE_FULLNAME_ACTION_PROCESS = RELATIVE_FULLNAME_ACTION_PROCESS;
        this.DATE_STRING_ACTION_PROCESS = DATE_STRING_ACTION_PROCESS;
        this.NUMBER_ITERATION_ACTION_PROCESS = NUMBER_ITERATION_ACTION_PROCESS;
    }
    
    
    /**
     *Crea una ACTIONS_PROCESS_HISTORY da una ACTIONS_PROCESS.
     */
    public ACTIONS_PROCESS_HISTORY(ACTIONS_PROCESS actions_process)
    {
        this.PRIORITY_SCOPE_ACTIONS_PROCESS = actions_process.PRIORITY_SCOPE_ACTIONS_PROCESS;
        this.SCOPE_ACTIONS_PROCESS = actions_process.SCOPE_ACTIONS_PROCESS;
        this.FULLNAME_ACTION_ACTIONS_PROCESS = actions_process.FULLNAME_ACTION_ACTIONS_PROCESS;
        this.NAME_ACTION_ACTIONS_PROCESS = actions_process.NAME_ACTION_ACTIONS_PROCESS;
        this.COMMAND_ACTIONS_PROCESS = actions_process.COMMAND_ACTIONS_PROCESS;
        this.PARAMS_ACTIONS_PROCESS = actions_process.PARAMS_ACTIONS_PROCESS;
        this.PRIORITY_ACTIONS_PROCESS = actions_process.PRIORITY_ACTIONS_PROCESS;
        this.ID_PROCESS_ACTIONS_PROCESS = actions_process.ID_PROCESS_ACTIONS_PROCESS;
        this.TYPE_ACTIONS_PROCESS = actions_process.TYPE_ACTIONS_PROCESS;
        this.ID_OWNER_ACTION_PROCESS = actions_process.ID_OWNER_ACTION_PROCESS;
        this.STATE_ACTION_PROCESS = actions_process.STATE_ACTION_PROCESS;
        this.RELATIVE_FULLNAME_ACTION_PROCESS = actions_process.RELATIVE_FULLNAME_ACTION_PROCESS;
        this.DATE_STRING_ACTION_PROCESS = actions_process.DATE_STRING_ACTION_PROCESS;
        this.NUMBER_ITERATION_ACTION_PROCESS = actions_process.NUMBER_ITERATION_ACTION_PROCESS;
    }    
}
