/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package romas.mobile;


import eve.ui.*;
/**
 *
 * @author apaliani
 */
public class PanelActuator extends Panel{

    public PanelActuator(String text, java.util.Hashtable hashActions){

        super.setText(text);
        init();

        hashActions.put("ACTUATOR_HEAD_ROTATE_CENTER", "ACTUATOR_HEAD_ROTATE_CENTER");
        hashActions.put("ACTUATOR_HEAD_ROTATE_MIDDLE", "ACTUATOR_HEAD_ROTATE_MIDDLE");
        hashActions.put("ACTUATOR_HEAD_ROTATE_LEFT", "ACTUATOR_HEAD_ROTATE_LEFT");
        hashActions.put("ACTUATOR_HEAD_ROTATE_RIGHT", "ACTUATOR_HEAD_ROTATE_RIGHT");
        hashActions.put("ACTUATOR_HEAD_ROTATE_UP", "ACTUATOR_HEAD_ROTATE_UP");
        hashActions.put("ACTUATOR_HEAD_ROTATE_DOWN", "ACTUATOR_HEAD_ROTATE_DOWN");
    }

    private void init(){

        //ACTUATOR

        Panel panel_H = new Panel();
        Button mov_LEFT = new Button("LEFT");
        mov_LEFT.setAction("ACTUATOR_HEAD_ROTATE_LEFT");
        panel_H.addNext(mov_LEFT, DONTSTRETCH, FILL);

        Button mov_CENTER = new Button("CENTER");
        mov_CENTER.setAction("ACTUATOR_HEAD_ROTATE_CENTER");
        panel_H.addNext(mov_CENTER, DONTSTRETCH, FILL);

        Button mov_RIGHT = new Button("RIGHT");
        mov_RIGHT.setAction("ACTUATOR_HEAD_ROTATE_RIGHT");
        panel_H.addNext(mov_RIGHT, DONTSTRETCH, FILL);
        

        Panel panel_V = new Panel();
        Button mov_FORWARD = new Button("UP");
        mov_FORWARD.setAction("ACTUATOR_HEAD_ROTATE_UP");
        panel_V.addLast(mov_FORWARD, DONTSTRETCH, FILL);
        Button mov_BREAK = new Button("MIDDLE");
        mov_BREAK.setAction("ACTUATOR_HEAD_ROTATE_MIDDLE");
        panel_V.addLast(mov_BREAK, DONTSTRETCH, FILL);
        Button mov_BACKWARD = new Button("DOWN");
        mov_BACKWARD.setAction("ACTUATOR_HEAD_ROTATE_DOWN");
        panel_V.addLast(mov_BACKWARD, DONTSTRETCH, FILL);

        Panel panelHEAD = new Panel();
        panelHEAD.setText("HEAD");

        panelHEAD.addNext(panel_V, DONTSTRETCH, FILL);
        panelHEAD.addNext(panel_H, DONTSTRETCH, FILL);

        // last fill panel
        panelHEAD.addNext(new Panel(), DONTSTRETCH, FILL);

        addNext(panelHEAD);
    }

}
