/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package romas.mobile;

import eve.ui.*;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.util.Properties;

/**
 *
 * @author apaliani
 */
public class Util {

    private static Properties properties;

    public static void loadPropertiesFile(){
        try
        {
            properties = new Properties();
            properties.load(new FileInputStream("options.properties"));

        }catch(Exception ex){
            new MessageBox("Errore caricamento parametri", ex.getMessage(), MessageBox.MBOK).execute();
        }
    }

    public static void storePropertiesFile(){
        try
        {
            properties.store(new FileOutputStream("options.properties"), null);
        }catch(Exception ex){
            new MessageBox("Errore memorizza dati", ex.getMessage(), MessageBox.MBOK).execute();
        }
    }

    public static String getPropertiesValue(String keyValue){
        try{
            String value = properties.getProperty(keyValue);
            return value;
        }catch(Exception ex){
            new MessageBox("Errore rileva parametri", ex.getMessage(), MessageBox.MBOK).execute();
        }
        return null;
    }

    public static void putPropertiesValue(String key, String value){
        try{
            properties.setProperty(key, value);
        }catch(Exception ex){
            new MessageBox("Errore memorizza parametri", ex.getMessage(), MessageBox.MBOK).execute();
        }
    }

}
