/*
 * Definition.java
 *
 * Created on 23 marzo 2009, 18.04
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package romas.services.actuator;


/**
 *
 * @author APaliani
 */
public class Definition {
    

    public static enum ROBOT_TOWARDS{
        FRONT,
        BACK,
        LEFT,
        RIGHT,
        UP,
        DOWN,
        ROTATE_LEFT,
        ROTATE_RIGHT
    }
    
    /**
     * TOWARDS 
     */
    public static enum LIMB_TOWARDS
    {        
        HORIZONTAL_LEFT,
        HORIZONTAL_CENTER,
        HORIZONTAL_RIGHT,
        VERTICAL_DOWN,
        VERTICAL_MIDDLE,
        VERTICAL_UP                  
    }

    /**
     * Movement time
     */
    public static enum TIME
    {
        LOW,
        NORMAL,
        HIGH
    }

    /**
     * Get movement TIME servo by name
     *
     * @param speedName
     * @return
     */
    public static TIME getTime(String speedName)
    {
        if(speedName.equals("LOW")) {
            return TIME.LOW;
        }
        else if(speedName.equals("NORMAL")) {
            return TIME.NORMAL;
        }
        else if(speedName.equals("HIGH")) {
            return TIME.HIGH;
        }

        return TIME.NORMAL;
    }



    /**
     * Movement Speed servo
     */
    public static enum SPEED{
        LOW,
        NORMAL,        
        HIGH
    }

    /**
     * Get movement SPEED servo by name
     *
     * @param speedName
     * @return
     */
    public static SPEED getSpeed(String speedName)
    {
        if(speedName.equals("LOW")) {
            return SPEED.LOW;
        }
        else if(speedName.equals("NORMAL")) {
            return SPEED.NORMAL;
        }
        else if(speedName.equals("HIGH")) {
            return SPEED.HIGH;
        }

        return SPEED.NORMAL;
    }

}
