/*
 * Limb.java
 *
 * Created on 23 marzo 2009, 12.42
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package romas.services.actuator;

import romas.com.data.tables.ACTIONS_PROCESS;
import romas.services.NotificationService;
        
/**
 *
 * @author APaliani
 */
public interface ILimb {


    /**
     * Actiate action
     *
     * @param actionProcess
     * @param speed
     * @param time
     * @param steps
     */
    public void actuateAction(ACTIONS_PROCESS actionProcess, int speed, int steps)throws Exception;

    /**
     * Query servo pulse position
     *
     * @param actionProcess
     * @throws java.lang.Exception
     */
    public void sendQueryPosition(ACTIONS_PROCESS actionProcess)throws Exception;


    /**
     * 
     * @param pulse
     */
    public int getRequiredPulse(ACTIONS_PROCESS actionProcess);



    /**
     *Terminate movement
     */
    public void stop(NotificationService superService);
}
