/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package romas.services.speakrecognition;

import java.util.*;
import java.lang.Comparable;


/**
 *
 * @author apaliani
 */
public class AudioDimension implements Comparable<AudioDimension>{

    static List<AudioDimension> col;

    // ampiezza della frequenza
    public int valueAmpl;

    //frequenza
    public int frequence;

    // numero di dimensioni
    public static int dimension = 1;
    
    
    //
    public AudioDimension(int m_valueAmpl, int m_frequence) {
        valueAmpl = m_valueAmpl;
        frequence = m_frequence;
    }


    /**
     * 
     * @return
     */
    public static List<AudioDimension> getList() {
        return col;
    }

    /**
     *
     */
    public static void addDimension(AudioDimension audioDimension){
        if (col == null){
            col = new ArrayList<AudioDimension>();
        }
        col.add(audioDimension);
    }


    /**
     * Rinizializza la lista
     */
    public static void renew(){
        col = new ArrayList<AudioDimension>();
    }

    /**
     * Compara
     * @param oAudioDim
     * @return
     */
    public int compareTo(AudioDimension oAudioDim) {

        // viene utilizzata l'apmiezza come comparatore perch gi il calcolo del'FFT restutuisce
        // la frequenza con ampiezza pi alta e quindi pi incisiva nell'udito.
        if(this.frequence > oAudioDim.frequence){
            return 1;
        }

        if(this.frequence == oAudioDim.frequence){// && (this.frequence == oAudioDim.frequence)){
            return 0;
        }

        return -1;
    }


    public static List<AudioDimension> sort(){
        List<AudioDimension> coll = getList();
        Collections.sort(coll); // sort method

        //stampo lista
//        for(int k=1; k<=coll.size(); k++){
//            // prendo le prime dimensioni dalla cima verso il fondo
//            AudioDimension oAudioDimm = (AudioDimension)coll.get(coll.size() - k);
//            System.out.println((coll.size() - k) + " -> Freq: [" + oAudioDimm.frequence + "] - Ampl: [" + oAudioDimm.valueAmpl + "]");
//        }

        return coll;
    }
}
