/*
 * ManageBufferImage.java
 *
 * Created on 24 febbraio 2009, 11.03
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package romas.services.videostream;

/**
 *
 * @author APaliani
 */
import java.io.*;
import java.util.*;
import java.awt.*;
import java.awt.image.*;
import com.sun.image.codec.jpeg.*;
import javax.media.*;
import javax.media.control.*;
import javax.media.protocol.*;
import javax.media.protocol.DataSource;
import javax.media.datasink.*;
import javax.media.format.VideoFormat;
import javax.media.util.*;
import javax.media.control.*;



public class ManageBufferImage
{

    /*** Converts the Image to a jpeg and saves it to file
    * @param url location of the file it has to be saved in.
    * @param n location number.
    */
    public static void convertAndSaveJPEGFile(Buffer bufferFrame, String urlFileDest) 
    {

        Image image = bufferToImage(bufferFrame);
        
        // write that to disk....
        try {
                FileOutputStream out = new FileOutputStream(urlFileDest + ".jpg");
                JPEGImageEncoder encoder = JPEGCodec.createJPEGEncoder(out);
                JPEGEncodeParam param = encoder.getDefaultJPEGEncodeParam((BufferedImage)image);
                param.setQuality(1.0f,false); // 0.9f = 90% qualith JPEG
                encoder.setJPEGEncodeParam(param);
                encoder.encode((BufferedImage)image);                
                out.close();
        } 
        catch (IOException e) 
        {
            System.out.println("Cannot convert JPG image file ["+ e.getMessage() +"]!");
        }
    }

    
    public static Image bufferToImage(Buffer bufferFrame)
    {
        Image image;
        // convert it to an Image
        BufferToImage   bufferToImage;
        
        // take snap shot of the image first
        //Buffer bufferFrame = (Buffer)doSnapShot(sSource);  // convert the image to a buffered image
        bufferToImage = new BufferToImage ( (VideoFormat)bufferFrame.getFormat() );
        image = bufferToImage.createImage(bufferFrame); //
        return image;
    }
    
    
    
}