package eve.ui;
import eve.sys.Convert;

//##################################################################
public class HexDisplay extends Input{
//##################################################################

//===================================================================
public int getInt()
//===================================================================
{
	try{
		return Convert.parseInt(getText(),16);
	}catch(NumberFormatException e){
		return 0;
	}
}
//===================================================================
public void setInt(int value)
//===================================================================
{
	setText(Convert.intToHexString(value));
}
//===================================================================
public long getLong()
//===================================================================
{
	try{
		return Convert.parseLong(getText(),16);
	}catch(NumberFormatException e){
		return 0;
	}
}
//===================================================================
public void setLong(long value)
//===================================================================
{
	setText(Convert.longToHexString(value));
}

//##################################################################
}
//##################################################################

