package eve.ui.event;

import eve.sys.Event;
import eve.ui.Control;

//##################################################################
public class DataChangeEvent extends Event{
//##################################################################

public static final int DATA_CHANGED = 1000;
/**
* A field name which caused the data change.
**/
public String fieldName;
public Object changeCause;
/**
* This can be used to point to an object which gives an indication as to the cause of the change.
* The Editor object when generating a data change will set this to be the DataChangeEvent that it
* received from one of its fields.
**/
//public Object cause;

public DataChangeEvent(int type,Control target)
	{
	this.type = type;
	this.target = target;
	timeStamp = System.currentTimeMillis();
	}
//##################################################################
}
//##################################################################

