package eve.ui.table.data.registry;
import eve.sys.Registry;
import eve.ui.Application;
import eve.ui.Form;
import eve.ui.data.Editor;
//import ewex.rapi.*;
//##################################################################
public class RegistryView extends Form{
//##################################################################

//===================================================================
public RegistryView(boolean remote)
//===================================================================
{
	setPreferredSize(640,480);
	Editor ed = new RegistryViewForm(remote ? Registry.getRemoteRegistry() : Registry.getLocalRegistry());
	ed.hasTopBar = false;
	addLast(ed);
	inheritSoftKeys = true;
	title = ed.title;
}

public static void main(String[] args)
{
	Application.startApplication(args);
	boolean remote = (args.length != 0 && args[0].equalsIgnoreCase("-remote"));
	new RegistryView(remote).execute();
	Application.exit(0);
}
//##################################################################
}
//##################################################################

