/*
 * MetaTagAudio.java
 *
 * Created on 24 febbraio 2009, 11.23
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package romas.services.speakrecognition;

/**
 *
 * @author APaliani
 */

import javax.sound.sampled.AudioInputStream;
import java.io.Serializable;

/**
 *
 * @author paliani
 */
public class MetaTagAudio implements Serializable{
    
    public java.util.Vector SampleSet;
    public long FrameSize;
    public int SampleRate;
    public String Word;
    public int CapturedBytesLenght;
    public long FrameLength;    
    public AudioInputStream CapturedAudioStream;
    public float FrameRate;
    public double Noise; 
    public float[] WordByte;
    public int NumByteToRead;
    public int ByteReaded;
    public java.util.Vector FFTPackages;
    public java.util.Vector SignalPackages;
    public java.util.Vector CepstrumPackages;
    public double[][]stateHMM;
    public int NumPackages;
    public int nDimension;
    public int addedPackage;
    public int topRangesPackages;

    public String stateHMM_SeqString;
    
    /** Creates a new instance of MetaTagAudio */
    public MetaTagAudio() {
        SampleSet = new java.util.Vector();
        FFTPackages = new java.util.Vector();
        SignalPackages = new java.util.Vector();
        FrameSize = 0;
        SampleRate = 0;
        NumPackages = 0;
        Word = "";
        CapturedBytesLenght = 0;
        FrameLength = 0;    
        CapturedAudioStream = null;
        FrameRate = 0;
        Noise = 0; 
        WordByte = null;
        NumByteToRead = 0;
        ByteReaded = 0;
    }

    public String stateHMM_ToString(){

        String fftString = "";

        if(stateHMM != null){
            // scorro le osservazioni degli stati
            for(int i=0; i< topRangesPackages; i++){
                // scorro le dimensioni
                for(int j=0; j<stateHMM[i].length; j++){
                    if ((i > 0) || (j>0)){
                        fftString += " ";
                    }
                    fftString += String.valueOf(stateHMM[i][j]) + " ";
                }
            }
        }

        return fftString;
    }


    public void transfer_SeqString_ToDouble(){
        stateHMM = stateHMM_SequenceToSequence();
    }


    public double[][] stateHMM_SequenceToSequence(){
        double[][] seq = new double[topRangesPackages][nDimension];
        java.util.StringTokenizer stokens = new java.util.StringTokenizer(stateHMM_SeqString);
            for(int i=0; i< topRangesPackages; i++){
                // scorro le dimensioni
                for(int j=0; j<nDimension; j++){
                    seq[i][j] = Double.valueOf(stokens.nextElement().toString()).doubleValue();
                }
            }
        return seq;
    }


    /**
     * Restituisce la sequenza delle frequenze campionate
     * @return
     */
    public double[][] stateHMM_ToSequence(){
        double[][] seq = new double[topRangesPackages][nDimension];
        for(int i=0; i< topRangesPackages; i++){
            // scorro le dimensioni
            for(int j=0; j<stateHMM[i].length; j++){
                seq[i][j] = stateHMM[i][j];
            }
        }

        return seq;
    }
    
}
